Page MenuHomePhabricator

wikimedia/slimapp fails composer-package-php55-trusty
Closed, ResolvedPublic

Description

CCing anyone that did a CR+2 on wikimedia/slimapp

It fails composer test on Nodepool Zend 5.5 / Trusty, specifically phpcs :-D

Build log: https://integration.wikimedia.org/ci/job/composer-package-php55-trusty/20/

Full output:

1Started by user anonymous
2Building remotely on ci-trusty-wikimedia-87210 (ci-trusty-wikimedia) in workspace /home/jenkins/workspace/composer-package-php55-trusty
3Using strategy: Default
4Last Built Revision: Revision 5ef25c20f0f4a41eee08ce2e6b7ed198da46dc7b (origin/master)
5Wiping out workspace first.
6Cloning the remote Git repository
7Using shallow clone
8Cloning repository https://gerrit.wikimedia.org/r/p/wikimedia/slimapp
9 > git init /home/jenkins/workspace/composer-package-php55-trusty # timeout=10
10Fetching upstream changes from https://gerrit.wikimedia.org/r/p/wikimedia/slimapp
11 > git --version # timeout=10
12 > git -c core.askpass=true fetch --tags --progress https://gerrit.wikimedia.org/r/p/wikimedia/slimapp +refs/heads/*:refs/remotes/origin/* --depth=1
13 > git config remote.origin.url https://gerrit.wikimedia.org/r/p/wikimedia/slimapp # timeout=10
14 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
15 > git config remote.origin.url https://gerrit.wikimedia.org/r/p/wikimedia/slimapp # timeout=10
16Fetching upstream changes from https://gerrit.wikimedia.org/r/p/wikimedia/slimapp
17 > git -c core.askpass=true fetch --tags --progress https://gerrit.wikimedia.org/r/p/wikimedia/slimapp master
18getCandidateRevisions(false,master,,,hudson.plugins.git.util.BuildData@7af4d46c[scmName=<null>,remoteUrls=[$ZUUL_URL/$ZUUL_PROJECT],buildsByBranchName={origin/master=Build #19 of Revision 5ef25c20f0f4a41eee08ce2e6b7ed198da46dc7b (origin/master), detached=Build #2 of Revision a87f4df982ca21cc8335d2c2c194e4922d844e5f (detached)},lastBuild=Build #19 of Revision 5ef25c20f0f4a41eee08ce2e6b7ed198da46dc7b (origin/master)]) considering branches to build
19Qualifying master as a branch in repository origin -> origin/master
20 > git rev-parse origin/master^{commit} # timeout=10
21rev-parse origin/master -> AnyObjectId[bd24cdfb3cad66e0ad41f973f2bdf60fa6c19c1d]
22Found a new commit AnyObjectId[bd24cdfb3cad66e0ad41f973f2bdf60fa6c19c1d] to be built on origin/master
23Checking out Revision bd24cdfb3cad66e0ad41f973f2bdf60fa6c19c1d (origin/master)
24 > git config core.sparsecheckout # timeout=10
25 > git checkout -f bd24cdfb3cad66e0ad41f973f2bdf60fa6c19c1d
26 > git rev-list 5ef25c20f0f4a41eee08ce2e6b7ed198da46dc7b # timeout=10
27First time build. Skipping changelog.
28 > git tag -a -f -m Jenkins Build #20 jenkins-composer-package-php55-trusty-20 # timeout=10
29[composer-package-php55-trusty] $ /bin/bash -eu /tmp/hudson4919879744770493781.sh
30php is php55:
31
32PHP 5.5.9-1ubuntu4.16 (cli) (built: Apr 20 2016 14:31:27)
33Copyright (c) 1997-2014 The PHP Group
34Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies
35 with Zend OPcache v7.0.3, Copyright (c) 1999-2014, by Zend Technologies
36
37[composer-package-php55-trusty] $ /bin/bash -xe /tmp/hudson511412328611942691.sh
38+ set -eu +x
39Defined: CASTOR_NAMESPACE="wikimedia-slimapp/master/composer-package-php55-trusty"
40[composer-package-php55-trusty] $ /bin/bash -xe /tmp/hudson1617486064321504796.sh
41+ . castor-set-namespace.env
42++ declare -x CASTOR_NAMESPACE=wikimedia-slimapp/master/composer-package-php55-trusty
43+ echo Syncing...
44Syncing...
45+ rsync --archive --compress --contimeout 3 rsync://castor.integration.eqiad.wmflabs:/caches/wikimedia-slimapp/master/composer-package-php55-trusty/ /home/jenkins
46rsync: change_dir "/wikimedia-slimapp/master/composer-package-php55-trusty" (in caches) failed: No such file or directory (2)
47rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1655) [Receiver=3.1.0]
48rsync: read error: Connection reset by peer (104)
49+ :
50+ echo -e '\nDone'
51
52Done
53[composer-package-php55-trusty] $ /bin/bash -xe /tmp/hudson5905691734949233377.sh
54+ composer --ansi validate
55./composer.json is valid
56[composer-package-php55-trusty] $ /bin/bash -xe /tmp/hudson5730970499430356808.sh
57+ set -u
58+ cd .
59+ [[ -f composer.json ]]
60+ composer update --ansi --no-progress --prefer-dist --profile -v
61[8.4MB/0.06s] Loading composer repositories with package information
62[8.9MB/0.54s] Updating dependencies (including require-dev)
63[128.5MB/33.34s] Dependency resolution completed in 0.123 seconds
64[128.6MB/33.35s] Analyzed 2041 packages to resolve dependencies
65[128.6MB/33.35s] Analyzed 19525 rules to resolve dependencies
66[128.6MB/33.35s] - Installing psr/log (1.0.0)
67[128.8MB/33.36s] Downloading
68[128.8MB/33.48s] Extracting archive
69[128.9MB/33.51s]
70[128.9MB/33.51s] - Installing monolog/monolog (1.19.0)
71[128.9MB/33.51s] Downloading
72[128.9MB/33.59s] Extracting archive
73[128.9MB/33.64s]
74[128.9MB/33.64s] - Installing bd808/monolog-udp2log-handler (v1.0.1)
75[128.9MB/33.64s] Downloading
76[128.9MB/33.76s] Extracting archive
77[128.9MB/33.79s]
78[128.9MB/33.79s] - Installing phpmailer/phpmailer (v5.2.14)
79[128.9MB/33.79s] Downloading
80[128.9MB/33.90s] Extracting archive
81[129.0MB/33.94s]
82[128.9MB/33.94s] - Installing slim/slim (2.6.2)
83[128.9MB/33.94s] Downloading
84[128.9MB/34.04s] Extracting archive
85[129.0MB/34.06s]
86[128.9MB/34.07s] - Installing slim/views (0.1.3)
87[128.9MB/34.07s] Downloading
88[128.9MB/34.17s] Extracting archive
89[128.9MB/34.19s]
90[128.9MB/34.19s] - Installing twig/twig (v1.24.0)
91[128.9MB/34.19s] Downloading
92[128.9MB/34.33s] Extracting archive
93[129.0MB/34.44s]
94[128.9MB/34.45s] - Installing wikimedia/simplei18n (v1.0.1)
95[128.9MB/34.45s] Downloading
96[128.9MB/34.57s] Extracting archive
97[128.9MB/34.59s]
98[128.9MB/34.59s] - Installing jakub-onderka/php-parallel-lint (v0.9.2)
99[128.9MB/34.59s] Downloading
100[128.9MB/34.69s] Extracting archive
101[129.0MB/34.72s]
102[128.9MB/34.72s] - Installing sebastian/version (1.0.6)
103[128.9MB/34.72s] Downloading
104[128.9MB/34.81s] Extracting archive
105[128.9MB/34.84s]
106[128.9MB/34.84s] - Installing sebastian/global-state (1.1.1)
107[128.9MB/34.84s] Downloading
108[128.9MB/34.96s] Extracting archive
109[129.0MB/34.98s]
110[128.9MB/34.98s] - Installing sebastian/recursion-context (1.0.2)
111[128.9MB/34.98s] Downloading
112[128.9MB/35.06s] Extracting archive
113[129.0MB/35.09s]
114[128.9MB/35.09s] - Installing sebastian/exporter (1.2.1)
115[128.9MB/35.09s] Downloading
116[128.9MB/35.18s] Extracting archive
117[129.0MB/35.20s]
118[128.9MB/35.20s] - Installing sebastian/environment (1.3.5)
119[128.9MB/35.20s] Downloading
120[128.9MB/35.29s] Extracting archive
121[129.0MB/35.32s]
122[128.9MB/35.33s] - Installing sebastian/diff (1.4.1)
123[128.9MB/35.33s] Downloading
124[128.9MB/35.41s] Extracting archive
125[129.0MB/35.44s]
126[128.9MB/35.44s] - Installing sebastian/comparator (1.2.0)
127[128.9MB/35.44s] Downloading
128[128.9MB/35.53s] Extracting archive
129[129.0MB/35.56s]
130[128.9MB/35.56s] - Installing symfony/yaml (v3.0.4)
131[128.9MB/35.56s] Downloading
132[128.9MB/35.65s] Extracting archive
133[129.0MB/35.68s]
134[128.9MB/35.68s] - Installing doctrine/instantiator (1.0.5)
135[128.9MB/35.68s] Downloading
136[128.9MB/35.78s] Extracting archive
137[129.0MB/35.80s]
138[128.9MB/35.81s] - Installing phpdocumentor/reflection-docblock (2.0.4)
139[128.9MB/35.81s] Downloading
140[128.9MB/35.91s] Extracting archive
141[129.0MB/35.94s]
142[128.9MB/35.95s] - Installing phpspec/prophecy (v1.6.0)
143[128.9MB/35.95s] Downloading
144[128.9MB/36.04s] Extracting archive
145[129.0MB/36.10s]
146[128.9MB/36.10s] - Installing phpunit/php-text-template (1.2.1)
147[128.9MB/36.10s] Downloading
148[128.9MB/36.20s] Extracting archive
149[129.0MB/36.22s]
150[128.9MB/36.23s] - Installing phpunit/phpunit-mock-objects (2.3.8)
151[128.9MB/36.23s] Downloading
152[128.9MB/36.33s] Extracting archive
153[129.0MB/36.37s]
154[128.9MB/36.37s] - Installing phpunit/php-timer (1.0.7)
155[128.9MB/36.37s] Downloading
156[128.9MB/36.45s] Extracting archive
157[129.0MB/36.47s]
158[128.9MB/36.48s] - Installing phpunit/php-token-stream (1.4.8)
159[128.9MB/36.48s] Downloading
160[128.9MB/36.59s] Extracting archive
161[129.0MB/36.60s]
162[128.9MB/36.60s] - Installing phpunit/php-file-iterator (1.4.1)
163[128.9MB/36.60s] Downloading
164[128.9MB/36.69s] Extracting archive
165[129.0MB/36.71s]
166[128.9MB/36.72s] - Installing phpunit/php-code-coverage (2.2.4)
167[128.9MB/36.72s] Downloading
168[128.9MB/36.85s] Extracting archive
169[129.0MB/36.89s]
170[128.9MB/36.89s] - Installing phpunit/phpunit (4.8.24)
171[128.9MB/36.89s] Downloading
172[128.9MB/37.01s] Extracting archive
173[129.1MB/37.12s]
174[128.9MB/37.12s] - Installing squizlabs/php_codesniffer (2.5.1)
175[128.9MB/37.12s] Downloading
176[128.9MB/37.23s] Extracting archive
177[129.0MB/37.33s]
178[128.9MB/37.34s] - Installing mediawiki/mediawiki-codesniffer (v0.6.0)
179[128.9MB/37.34s] Downloading
180[128.9MB/37.43s] Extracting archive
181[129.0MB/37.45s]
182[98.3MB/37.97s] monolog/monolog suggests installing graylog2/gelf-php (Allow sending log messages to a GrayLog2 server)
183[98.3MB/37.97s] monolog/monolog suggests installing raven/raven (Allow sending log messages to a Sentry server)
184[98.3MB/37.97s] monolog/monolog suggests installing doctrine/couchdb (Allow sending log messages to a CouchDB server)
185[98.3MB/37.97s] monolog/monolog suggests installing ruflin/elastica (Allow sending log messages to an Elastic Search server)
186[98.3MB/37.97s] monolog/monolog suggests installing php-amqplib/php-amqplib (Allow sending log messages to an AMQP server using php-amqplib)
187[98.3MB/37.97s] monolog/monolog suggests installing ext-amqp (Allow sending log messages to an AMQP server (1.0+ required))
188[98.3MB/37.97s] monolog/monolog suggests installing ext-mongo (Allow sending log messages to a MongoDB server)
189[98.3MB/37.97s] monolog/monolog suggests installing mongodb/mongodb (Allow sending log messages to a MongoDB server via PHP Driver)
190[98.3MB/37.97s] monolog/monolog suggests installing aws/aws-sdk-php (Allow sending log messages to AWS services like DynamoDB)
191[98.3MB/37.97s] monolog/monolog suggests installing rollbar/rollbar (Allow sending log messages to Rollbar)
192[98.3MB/37.97s] monolog/monolog suggests installing php-console/php-console (Allow sending log messages to Google Chrome)
193[98.3MB/37.97s] phpmailer/phpmailer suggests installing league/oauth2-client (Needed for XOAUTH2 authentication)
194[98.3MB/37.97s] phpmailer/phpmailer suggests installing league/oauth2-google (Needed for Gmail XOAUTH2)
195[98.3MB/37.97s] slim/slim suggests installing ext-mcrypt (Required for HTTP cookie encryption)
196[98.3MB/37.97s] slim/views suggests installing smarty/smarty (Smarty templating system)
197[98.3MB/37.97s] jakub-onderka/php-parallel-lint suggests installing jakub-onderka/php-console-highlighter (Highlight syntax in code snippet)
198[98.3MB/37.97s] sebastian/global-state suggests installing ext-uopz (*)
199[98.3MB/37.97s] phpdocumentor/reflection-docblock suggests installing dflydev/markdown (~1.0)
200[98.3MB/37.97s] phpdocumentor/reflection-docblock suggests installing erusev/parsedown (~1.0)
201[98.3MB/37.97s] phpunit/php-code-coverage suggests installing ext-xdebug (>=2.2.1)
202[98.3MB/37.97s] phpunit/phpunit suggests installing phpunit/php-invoker (~1.1)
203[99.2MB/37.99s] Dependency resolution completed in 0.001 seconds
204[99.2MB/38.00s] Writing lock file
205[99.2MB/38.00s] Generating autoload files
206[99.1MB/38.40s] Memory usage: 99.06MB (peak: 130.37MB), time: 38.4s
207[composer-package-php55-trusty] $ /bin/bash -xe /tmp/hudson8707626898066074780.sh
208+ [[ -f composer.json ]]
209+ COMPOSER_PROCESS_TIMEOUT=600
210+ composer --ansi test
211> parallel-lint . --exclude vendor
212PHP 5.5.9 | 10 parallel jobs
213................... 19/19 (100 %)
214
215
216Checked 19 files in 0.1 seconds
217No syntax error found
218> phpunit $PHPUNIT_ARGS
219PHPUnit 4.8.24 by Sebastian Bergmann and contributors.
220
221Runtime: PHP 5.5.9-1ubuntu4.16
222Configuration: /home/jenkins/workspace/composer-package-php55-trusty/phpunit.xml.dist
223
224................................
225
226Time: 173 ms, Memory: 5.25Mb
227
228OK (32 tests, 109 assertions)
229> phpcs -p
230E..EEEEEEEEEEEE.E.E
231
232
233FILE: ...e/jenkins/workspace/composer-package-php55-trusty/src/Config.php
234----------------------------------------------------------------------
235FOUND 3 ERRORS AFFECTING 3 LINES
236----------------------------------------------------------------------
237 44 | ERROR | [x] Multiple empty lines should not exist in a row;
238 | | found 2 consecutive empty lines
239 62 | ERROR | [x] Multiple empty lines should not exist in a row;
240 | | found 2 consecutive empty lines
241 72 | ERROR | [x] Multiple empty lines should not exist in a row;
242 | | found 2 consecutive empty lines
243----------------------------------------------------------------------
244PHPCBF CAN FIX THE 3 MARKED SNIFF VIOLATIONS AUTOMATICALLY
245----------------------------------------------------------------------
246
247
248FILE: ...workspace/composer-package-php55-trusty/src/Auth/AuthManager.php
249----------------------------------------------------------------------
250FOUND 9 ERRORS AFFECTING 9 LINES
251----------------------------------------------------------------------
252 41 | ERROR | [x] Multiple empty lines should not exist in a row;
253 | | found 2 consecutive empty lines
254 49 | ERROR | [x] Multiple empty lines should not exist in a row;
255 | | found 2 consecutive empty lines
256 63 | ERROR | [x] Multiple empty lines should not exist in a row;
257 | | found 2 consecutive empty lines
258 73 | ERROR | [x] Multiple empty lines should not exist in a row;
259 | | found 2 consecutive empty lines
260 82 | ERROR | [x] Multiple empty lines should not exist in a row;
261 | | found 2 consecutive empty lines
262 91 | ERROR | [x] Multiple empty lines should not exist in a row;
263 | | found 2 consecutive empty lines
264 100 | ERROR | [x] Multiple empty lines should not exist in a row;
265 | | found 2 consecutive empty lines
266 119 | ERROR | [x] Multiple empty lines should not exist in a row;
267 | | found 2 consecutive empty lines
268 138 | ERROR | [x] Multiple empty lines should not exist in a row;
269 | | found 2 consecutive empty lines
270----------------------------------------------------------------------
271PHPCBF CAN FIX THE 9 MARKED SNIFF VIOLATIONS AUTOMATICALLY
272----------------------------------------------------------------------
273
274
275FILE: ...ns/workspace/composer-package-php55-trusty/src/Auth/Password.php
276----------------------------------------------------------------------
277FOUND 9 ERRORS AFFECTING 9 LINES
278----------------------------------------------------------------------
279 39 | ERROR | [x] Multiple empty lines should not exist in a row;
280 | | found 2 consecutive empty lines
281 59 | ERROR | [x] Multiple empty lines should not exist in a row;
282 | | found 2 consecutive empty lines
283 76 | ERROR | [x] Multiple empty lines should not exist in a row;
284 | | found 2 consecutive empty lines
285 120 | ERROR | [x] Multiple empty lines should not exist in a row;
286 | | found 2 consecutive empty lines
287 189 | ERROR | [x] Multiple empty lines should not exist in a row;
288 | | found 2 consecutive empty lines
289 202 | ERROR | [x] Multiple empty lines should not exist in a row;
290 | | found 2 consecutive empty lines
291 212 | ERROR | [x] Multiple empty lines should not exist in a row;
292 | | found 2 consecutive empty lines
293 243 | ERROR | [x] Multiple empty lines should not exist in a row;
294 | | found 2 consecutive empty lines
295 283 | ERROR | [x] Multiple empty lines should not exist in a row;
296 | | found 2 consecutive empty lines
297----------------------------------------------------------------------
298PHPCBF CAN FIX THE 9 MARKED SNIFF VIOLATIONS AUTOMATICALLY
299----------------------------------------------------------------------
300
301
302FILE: ...kins/workspace/composer-package-php55-trusty/src/AbstractApp.php
303----------------------------------------------------------------------
304FOUND 10 ERRORS AFFECTING 10 LINES
305----------------------------------------------------------------------
306 48 | ERROR | [x] Short array syntax must be used to define arrays
307 52 | ERROR | [x] Short array syntax must be used to define arrays
308 129 | ERROR | [x] Short array syntax must be used to define arrays
309 151 | ERROR | [x] Multiple empty lines should not exist in a row;
310 | | found 2 consecutive empty lines
311 159 | ERROR | [x] Multiple empty lines should not exist in a row;
312 | | found 2 consecutive empty lines
313 167 | ERROR | [x] Multiple empty lines should not exist in a row;
314 | | found 2 consecutive empty lines
315 175 | ERROR | [x] Multiple empty lines should not exist in a row;
316 | | found 2 consecutive empty lines
317 183 | ERROR | [x] Multiple empty lines should not exist in a row;
318 | | found 2 consecutive empty lines
319 196 | ERROR | [x] Multiple empty lines should not exist in a row;
320 | | found 2 consecutive empty lines
321 215 | ERROR | [x] Multiple empty lines should not exist in a row;
322 | | found 2 consecutive empty lines
323----------------------------------------------------------------------
324PHPCBF CAN FIX THE 10 MARKED SNIFF VIOLATIONS AUTOMATICALLY
325----------------------------------------------------------------------
326
327
328FILE: ...ns/workspace/composer-package-php55-trusty/src/ParsoidClient.php
329----------------------------------------------------------------------
330FOUND 8 ERRORS AFFECTING 8 LINES
331----------------------------------------------------------------------
332 51 | ERROR | [x] Multiple empty lines should not exist in a row;
333 | | found 2 consecutive empty lines
334 65 | ERROR | [x] Short array syntax must be used to define arrays
335 86 | ERROR | [x] Short array syntax must be used to define arrays
336 92 | ERROR | [x] Short array syntax must be used to define arrays
337 102 | ERROR | [x] Short array syntax must be used to define arrays
338 115 | ERROR | [x] Short array syntax must be used to define arrays
339 131 | ERROR | [x] Short array syntax must be used to define arrays
340 138 | ERROR | [x] Short array syntax must be used to define arrays
341----------------------------------------------------------------------
342PHPCBF CAN FIX THE 8 MARKED SNIFF VIOLATIONS AUTOMATICALLY
343----------------------------------------------------------------------
344
345
346FILE: ...nkins/workspace/composer-package-php55-trusty/src/Controller.php
347----------------------------------------------------------------------
348FOUND 17 ERRORS AFFECTING 17 LINES
349----------------------------------------------------------------------
350 63 | ERROR | [x] Multiple empty lines should not exist in a row;
351 | | found 2 consecutive empty lines
352 72 | ERROR | [x] Multiple empty lines should not exist in a row;
353 | | found 2 consecutive empty lines
354 81 | ERROR | [x] Multiple empty lines should not exist in a row;
355 | | found 2 consecutive empty lines
356 90 | ERROR | [x] Multiple empty lines should not exist in a row;
357 | | found 2 consecutive empty lines
358 99 | ERROR | [x] Multiple empty lines should not exist in a row;
359 | | found 2 consecutive empty lines
360 108 | ERROR | [x] Multiple empty lines should not exist in a row;
361 | | found 2 consecutive empty lines
362 118 | ERROR | [x] Multiple empty lines should not exist in a row;
363 | | found 2 consecutive empty lines
364 131 | ERROR | [x] Short array syntax must be used to define arrays
365 133 | ERROR | [x] Short array syntax must be used to define arrays
366 136 | ERROR | [x] Multiple empty lines should not exist in a row;
367 | | found 2 consecutive empty lines
368 147 | ERROR | [x] Short array syntax must be used to define arrays
369 155 | ERROR | [x] Multiple empty lines should not exist in a row;
370 | | found 2 consecutive empty lines
371 167 | ERROR | [x] Multiple empty lines should not exist in a row;
372 | | found 2 consecutive empty lines
373 182 | ERROR | [x] Multiple empty lines should not exist in a row;
374 | | found 2 consecutive empty lines
375 191 | ERROR | [x] Short array syntax must be used to define arrays
376 194 | ERROR | [x] Multiple empty lines should not exist in a row;
377 | | found 2 consecutive empty lines
378 209 | ERROR | [x] Short array syntax must be used to define arrays
379----------------------------------------------------------------------
380PHPCBF CAN FIX THE 17 MARKED SNIFF VIOLATIONS AUTOMATICALLY
381----------------------------------------------------------------------
382
383
384FILE: ...e/jenkins/workspace/composer-package-php55-trusty/src/Mailer.php
385----------------------------------------------------------------------
386FOUND 9 ERRORS AFFECTING 9 LINES
387----------------------------------------------------------------------
388 46 | ERROR | [x] Short array syntax must be used to define arrays
389 56 | ERROR | [x] Multiple empty lines should not exist in a row;
390 | | found 2 consecutive empty lines
391 62 | ERROR | [x] Short array syntax must be used to define arrays
392 64 | ERROR | [x] Short array syntax must be used to define arrays
393 67 | ERROR | [x] Multiple empty lines should not exist in a row;
394 | | found 2 consecutive empty lines
395 75 | ERROR | [x] Short array syntax must be used to define arrays
396 84 | ERROR | [x] Short array syntax must be used to define arrays
397 91 | ERROR | [x] Multiple empty lines should not exist in a row;
398 | | found 2 consecutive empty lines
399 101 | ERROR | [x] Short array syntax must be used to define arrays
400----------------------------------------------------------------------
401PHPCBF CAN FIX THE 9 MARKED SNIFF VIOLATIONS AUTOMATICALLY
402----------------------------------------------------------------------
403
404
405FILE: ...ns/workspace/composer-package-php55-trusty/src/TwigExtension.php
406----------------------------------------------------------------------
407FOUND 6 ERRORS AFFECTING 5 LINES
408----------------------------------------------------------------------
409 49 | ERROR | [x] Short array syntax must be used to define arrays
410 50 | ERROR | [x] Short array syntax must be used to define arrays
411 55 | ERROR | [x] Short array syntax must be used to define arrays
412 57 | ERROR | [x] Short array syntax must be used to define arrays
413 58 | ERROR | [x] Short array syntax must be used to define arrays
414 58 | ERROR | [x] Short array syntax must be used to define arrays
415----------------------------------------------------------------------
416PHPCBF CAN FIX THE 6 MARKED SNIFF VIOLATIONS AUTOMATICALLY
417----------------------------------------------------------------------
418
419
420FILE: ...s/workspace/composer-package-php55-trusty/src/CsrfMiddleware.php
421----------------------------------------------------------------------
422FOUND 4 ERRORS AFFECTING 4 LINES
423----------------------------------------------------------------------
424 49 | ERROR | [x] Short array syntax must be used to define arrays
425 52 | ERROR | [x] Short array syntax must be used to define arrays
426 56 | ERROR | [x] Short array syntax must be used to define arrays
427 61 | ERROR | [x] Short array syntax must be used to define arrays
428----------------------------------------------------------------------
429PHPCBF CAN FIX THE 4 MARKED SNIFF VIOLATIONS AUTOMATICALLY
430----------------------------------------------------------------------
431
432
433FILE: .../workspace/composer-package-php55-trusty/src/Dao/AbstractDao.php
434----------------------------------------------------------------------
435FOUND 14 ERRORS AFFECTING 14 LINES
436----------------------------------------------------------------------
437 47 | ERROR | [x] Multiple empty lines should not exist in a row;
438 | | found 2 consecutive empty lines
439 59 | ERROR | [x] Short array syntax must be used to define arrays
440 65 | ERROR | [x] Multiple empty lines should not exist in a row;
441 | | found 2 consecutive empty lines
442 80 | ERROR | [x] Short array syntax must be used to define arrays
443 115 | ERROR | [x] Multiple empty lines should not exist in a row;
444 | | found 2 consecutive empty lines
445 130 | ERROR | [x] Multiple empty lines should not exist in a row;
446 | | found 2 consecutive empty lines
447 140 | ERROR | [x] Short array syntax must be used to define arrays
448 146 | ERROR | [x] Multiple empty lines should not exist in a row;
449 | | found 2 consecutive empty lines
450 169 | ERROR | [x] Multiple empty lines should not exist in a row;
451 | | found 2 consecutive empty lines
452 188 | ERROR | [x] Short array syntax must be used to define arrays
453 197 | ERROR | [x] Multiple empty lines should not exist in a row;
454 | | found 2 consecutive empty lines
455 217 | ERROR | [x] Short array syntax must be used to define arrays
456 226 | ERROR | [x] Multiple empty lines should not exist in a row;
457 | | found 2 consecutive empty lines
458 277 | ERROR | [x] Short array syntax must be used to define arrays
459----------------------------------------------------------------------
460PHPCBF CAN FIX THE 14 MARKED SNIFF VIOLATIONS AUTOMATICALLY
461----------------------------------------------------------------------
462
463
464FILE: ...workspace/composer-package-php55-trusty/src/HeaderMiddleware.php
465----------------------------------------------------------------------
466FOUND 2 ERRORS AFFECTING 2 LINES
467----------------------------------------------------------------------
468 48 | ERROR | [x] Short array syntax must be used to define arrays
469 51 | ERROR | [x] Multiple empty lines should not exist in a row;
470 | | found 2 consecutive empty lines
471----------------------------------------------------------------------
472PHPCBF CAN FIX THE 2 MARKED SNIFF VIOLATIONS AUTOMATICALLY
473----------------------------------------------------------------------
474
475
476FILE: ...ome/jenkins/workspace/composer-package-php55-trusty/src/Form.php
477----------------------------------------------------------------------
478FOUND 20 ERRORS AFFECTING 20 LINES
479----------------------------------------------------------------------
480 45 | ERROR | [x] Short array syntax must be used to define arrays
481 51 | ERROR | [x] Short array syntax must be used to define arrays
482 57 | ERROR | [x] Short array syntax must be used to define arrays
483 75 | ERROR | [x] Short array syntax must be used to define arrays
484 106 | ERROR | [x] Short array syntax must be used to define arrays
485 118 | ERROR | [x] Short array syntax must be used to define arrays
486 138 | ERROR | [x] Short array syntax must be used to define arrays
487 222 | ERROR | [x] Short array syntax must be used to define arrays
488 288 | ERROR | [x] Short array syntax must be used to define arrays
489 324 | ERROR | [x] Short array syntax must be used to define arrays
490 356 | ERROR | [x] Short array syntax must be used to define arrays
491 357 | ERROR | [x] Short array syntax must be used to define arrays
492 358 | ERROR | [x] Short array syntax must be used to define arrays
493 375 | ERROR | [x] Short array syntax must be used to define arrays
494 391 | ERROR | [x] Short array syntax must be used to define arrays
495 459 | ERROR | [x] Short array syntax must be used to define arrays
496 479 | ERROR | [x] Short array syntax must be used to define arrays
497 488 | ERROR | [x] Short array syntax must be used to define arrays
498 499 | ERROR | [x] Short array syntax must be used to define arrays
499 510 | ERROR | [x] Short array syntax must be used to define arrays
500----------------------------------------------------------------------
501PHPCBF CAN FIX THE 20 MARKED SNIFF VIOLATIONS AUTOMATICALLY
502----------------------------------------------------------------------
503
504
505FILE: ...ins/workspace/composer-package-php55-trusty/tests/ConfigTest.php
506----------------------------------------------------------------------
507FOUND 1 ERROR AFFECTING 1 LINE
508----------------------------------------------------------------------
509 58 | ERROR | [x] Multiple empty lines should not exist in a row;
510 | | found 2 consecutive empty lines
511----------------------------------------------------------------------
512PHPCBF CAN FIX THE 1 MARKED SNIFF VIOLATIONS AUTOMATICALLY
513----------------------------------------------------------------------
514
515
516FILE: ...nkins/workspace/composer-package-php55-trusty/tests/FormTest.php
517----------------------------------------------------------------------
518FOUND 27 ERRORS AFFECTING 27 LINES
519----------------------------------------------------------------------
520 47 | ERROR | [x] Short array syntax must be used to define arrays
521 59 | ERROR | [x] Short array syntax must be used to define arrays
522 71 | ERROR | [x] Short array syntax must be used to define arrays
523 83 | ERROR | [x] Short array syntax must be used to define arrays
524 93 | ERROR | [x] Short array syntax must be used to define arrays
525 122 | ERROR | [x] Short array syntax must be used to define arrays
526 123 | ERROR | [x] Short array syntax must be used to define arrays
527 124 | ERROR | [x] Short array syntax must be used to define arrays
528 125 | ERROR | [x] Short array syntax must be used to define arrays
529 126 | ERROR | [x] Short array syntax must be used to define arrays
530 139 | ERROR | [x] Short array syntax must be used to define arrays
531 140 | ERROR | [x] Short array syntax must be used to define arrays
532 147 | ERROR | [x] Short array syntax must be used to define arrays
533 178 | ERROR | [x] Short array syntax must be used to define arrays
534 179 | ERROR | [x] Short array syntax must be used to define arrays
535 180 | ERROR | [x] Short array syntax must be used to define arrays
536 181 | ERROR | [x] Short array syntax must be used to define arrays
537 182 | ERROR | [x] Short array syntax must be used to define arrays
538 183 | ERROR | [x] Short array syntax must be used to define arrays
539 184 | ERROR | [x] Short array syntax must be used to define arrays
540 185 | ERROR | [x] Short array syntax must be used to define arrays
541 190 | ERROR | [x] Short array syntax must be used to define arrays
542 200 | ERROR | [x] Short array syntax must be used to define arrays
543 201 | ERROR | [x] Short array syntax must be used to define arrays
544 202 | ERROR | [x] Short array syntax must be used to define arrays
545 217 | ERROR | [x] Short array syntax must be used to define arrays
546 229 | ERROR | [x] Short array syntax must be used to define arrays
547----------------------------------------------------------------------
548PHPCBF CAN FIX THE 27 MARKED SNIFF VIOLATIONS AUTOMATICALLY
549----------------------------------------------------------------------
550
551
552FILE: ...pace/composer-package-php55-trusty/tests/Dao/AbstractDaoTest.php
553----------------------------------------------------------------------
554FOUND 16 ERRORS AFFECTING 12 LINES
555----------------------------------------------------------------------
556 47 | ERROR | [x] Short array syntax must be used to define arrays
557 52 | ERROR | [x] Short array syntax must be used to define arrays
558 53 | ERROR | [x] Short array syntax must be used to define arrays
559 53 | ERROR | [x] Short array syntax must be used to define arrays
560 54 | ERROR | [x] Short array syntax must be used to define arrays
561 54 | ERROR | [x] Short array syntax must be used to define arrays
562 55 | ERROR | [x] Short array syntax must be used to define arrays
563 56 | ERROR | [x] Short array syntax must be used to define arrays
564 77 | ERROR | [x] Short array syntax must be used to define arrays
565 82 | ERROR | [x] Short array syntax must be used to define arrays
566 83 | ERROR | [x] Short array syntax must be used to define arrays
567 83 | ERROR | [x] Short array syntax must be used to define arrays
568 84 | ERROR | [x] Short array syntax must be used to define arrays
569 84 | ERROR | [x] Short array syntax must be used to define arrays
570 85 | ERROR | [x] Short array syntax must be used to define arrays
571 86 | ERROR | [x] Short array syntax must be used to define arrays
572----------------------------------------------------------------------
573PHPCBF CAN FIX THE 16 MARKED SNIFF VIOLATIONS AUTOMATICALLY
574----------------------------------------------------------------------
575
576Time: 659ms; Memory: 14Mb
577
578Script phpcs -p handling the test event returned with an error
579
580 
581 [RuntimeException] 
582 Error Output: 
583 
584
585test [--dev] [--no-dev] [--] [<args>]...
586
587Build step 'Execute shell' marked build as failure
588[PostBuildScript] - Execution post build scripts.
589[PostBuildScript] Build is not success : do not execute script
590Finished: FAILURE

Details

Related Gerrit Patches:

Event Timeline

hashar created this task.May 2 2016, 2:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2016, 2:39 PM
hashar added a comment.May 2 2016, 2:43 PM

The issue is mediawiki code sniffer version pinning. The repository has a composer.lock with :

squizlabs/php_codesniffer2.3.4
mediawiki/mediawiki-codesnifferv0.4.0

But the CI job is made to run composer update which thus replace the version to something more recent:

[129.9MB/35.46s]   - Removing squizlabs/php_codesniffer (2.3.4)
[129.9MB/35.53s]   - Installing squizlabs/php_codesniffer (2.5.1)
[129.9MB/35.53s]     Downloading
[129.9MB/37.83s]     Extracting archive
[130.0MB/38.06s] 
[129.9MB/38.07s]   - Removing mediawiki/mediawiki-codesniffer (v0.4.0)
[129.9MB/38.08s]   - Installing mediawiki/mediawiki-codesniffer (v0.6.0)
[129.9MB/38.09s]     Downloading
[129.9MB/39.26s]     Extracting archive

Thus failing the build :-(

Change 286446 had a related patch set uploaded (by Hashar):
Pin mediawiki/mediawiki-codesniffer to 0.4.x

https://gerrit.wikimedia.org/r/286446

Change 286446 merged by jenkins-bot:
Pin mediawiki/mediawiki-codesniffer to 0.4.x

https://gerrit.wikimedia.org/r/286446

hashar closed this task as Resolved.May 3 2016, 7:38 AM